<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN"
        "http://www.w3.org/TR/html4/loose.dtd">

<html>

<head>

<title> Postfix stable release 2.6.0 </title>

<meta http-equiv="Content-Type" content="text/html; charset=us-ascii">

</head>

<body>

<h1> Postfix stable release 2.6.0 </h1>

<p>
An on-line version of this announcement is available at
<a href="http://www.postfix.org/announcements/postfix-2.6.0.html">http://www.postfix.org/announcements/postfix-2.6.0.html</a>
</p>

<p>
Postfix stable release 2.6.0 is available. After Postfix was declared
"complete" with version 2.3, the focus has moved towards improving
the code/documentation, and updating it for changing environments.
</p>

<ul>

<li> <p>
  Multi-instance support introduces a new <a href="../postmulti.1.html">postmulti(1)</a> command to
  create/add/remove/etc. additional Postfix instances. The familiar
  "postfix start" etc.  commands now automatically start multiple
  Postfix instances.  The good news: nothing changes when you use
  only one Postfix instance. See <a href="../MULTI_INSTANCE_README.html">MULTI_INSTANCE_README</a> for details.
</p>

<li> <p>
  Multi-instance support required that some files be moved from
  the non-shared $<a href="../postconf.5.html#config_directory">config_directory</a> to the shared $<a href="../postconf.5.html#daemon_directory">daemon_directory</a>.
  The affected files are postfix-script, postfix-files and post-install.
</p>

<li> <p>
  TLS (SSL) support was updated for elliptic curve encryption. This
  requires OpenSSL version 0.9.9 or later. The SMTP client no longer
  uses the SSLv2 protocol by default. See <a href="../TLS_README.html">TLS_README</a> for details.
</p>

<li> <p>
  The Milter client now supports all Sendmail 8.14 Milter requests,
  including requests for rejected recipient addresses, and requests
  to replace the envelope sender address. See <a href="../MILTER_README.html">MILTER_README</a> for
  details.
</p>

<li> <p>
  Postfix no longer adds (Resent-) From:, Date:, Message-ID: or To:
  headers to email messages with "remote" origins (these are origins
  that don't match $<a href="../postconf.5.html#local_header_rewrite_clients">local_header_rewrite_clients</a>). Adding such
  headers breaks DKIM signatures that explicitly cover non-present
  headers.  For compatibility with existing logfile processing
  software, Postfix will log ``message-id=<>'' for email messages
  that have no Message-Id header.
</p>

<li> <p>
  Stress-adaptive behavior is now enabled by default. This allows
  the Postfix SMTP server to temporarily reduce time limits and
  error-count limits under conditions of overload, such as a malware
  attack or backscatter flood. See <a href="../STRESS_README.html">STRESS_README</a> for details.
</p>

</ul>

<p>
No functionality has been removed, but it is a good idea to review
the RELEASE_NOTES file for the usual minor incompatibilities or
limitations.
</p>

<p>
You can find Postfix version 2.6.0 at the mirrors listed at
<a href="http://www.postfix.org/">http://www.postfix.org/</a>
</p>

<p>
The same code is also available as Postfix snapshot 2.7-20090511.
Updated versions of Postfix version 2.5, 2.4 and perhaps 2.3 will
be released with the same fixes that were already included with
Postfix versions 2.6 and 2.7.
</p>

</body>

</html>
